Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 164112 - ksh not run as login shell when logging in via gdm
Summary: ksh not run as login shell when logging in via gdm
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-07-25 02:23 UTC by Mike MacCana
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-05 21:04:29 UTC


Attachments (Terms of Use)

Description Mike MacCana 2005-07-25 02:23:47 UTC
Description of problem:
Logging this on behalf of a GLS customer, tho I can reproduce this here.

Logging in via gdm does not run a login shell for ksh users. Instead a non-login
shell is run. The users ~/.profile script is never run.

How reproducible:
Always

Steps to Reproduce:
1.Pop something in a users .profile. 
2. Log into X
  
Actual results:
The .profile is never run.

Expected results:
gdm should start a login shell, as it does with other shells, and as other login
apps do for ksh.

Additional info:

Comment 2 Ray Strode [halfline] 2006-01-11 21:28:26 UTC
Hi Mike,

The session start up scripts do:

exec -l $SHELL -c <the session scripts>

There is a convention amoung shells that if the shell is invoked with the first
character of argv[0] as - (and then the normal argv[0]) then the shell should
execute as a login shell.

It's possible ksh doesn't follow this convention.  If it doesn't it should be fixed.

Comment 3 Karsten Hopp 2006-02-22 10:33:00 UTC
from the ksh manpage: 
If the shell is invoked by exec(2), and the first character of argument 
       zero ($0) is -, then the shell is assumed to be a login shell and  com- 
       mands  are  read from /etc/profile and then from either .profile in the 
       current directory or $HOME/.profile, if either file exists. 
 
I've added an echo in /etc/profile and ~/.profile to see if ksh runs those 
scripts: 
hagen:[~] >exec -l ksh - 
executing /etc/profile 
executing ~/.profile 
 
 
Looks ok to me. 

Comment 4 Ray Strode [halfline] 2006-02-24 00:46:20 UTC
Mike have you tried test3?  if so, do you still see this problem?

Comment 5 John Thacker 2006-05-05 21:04:29 UTC
Closing due to lack of response.


Note You need to log in before you can comment on or make changes to this bug.